using System.Text.Json.Serialization;

namespace MarcusLaw.OutlookAddin.Core.Models
{
    public sealed class EspoAttachment
    {
        [JsonPropertyName("name")]
        public string Name { get; set; } = string.Empty;

        [JsonPropertyName("contentType")]
        public string ContentType { get; set; } = "application/octet-stream";

        [JsonPropertyName("contentBase64")]
        public string ContentBase64 { get; set; } = string.Empty;
    }
}
